| Kea 3.0.2-git

isc::util::UnlockGuard< Mutex > Class Template Reference

Unlock Guard. More...

`#include <unlock_guard.h>`

Inheritance diagram for isc::util::UnlockGuard< Mutex >:
[legend]

## Public Member Functions
| UnlockGuard (Mutex &lock)
| Constructor.
| ~UnlockGuard ()
| Destructor.

## Detailed Description

template<typename Mutex>
class isc::util::UnlockGuard< Mutex >

Unlock Guard.

Acts as a reverse std::lock_guard.

Template Parameters

  Mutex | a mutex object.

Definition at line 21 of file unlock_guard.h.

## Constructor & Destructor Documentation

## ◆ UnlockGuard()

template<typename Mutex>

isc::util::UnlockGuard< Mutex >::UnlockGuard | ( | Mutex & | lock | ) |
| inline explicit

Constructor.

Unlock mutex object on constructor.

Parameters

  lock | the mutex used for unlocking and locking.

Definition at line 28 of file unlock_guard.h.

## ◆ ~UnlockGuard()

template<typename Mutex>

isc::util::UnlockGuard< Mutex >::~UnlockGuard | ( |  | ) |
| inline

Destructor.

Lock mutex object on destructor.

Definition at line 35 of file unlock_guard.h.

The documentation for this class was generated from the following file:

- unlock_guard.h